summaryrefslogtreecommitdiff
path: root/tests/chown
diff options
context:
space:
mode:
Diffstat (limited to 'tests/chown')
-rwxr-xr-xtests/chown/basic.sh4
-rwxr-xr-xtests/chown/deref.sh2
-rwxr-xr-xtests/chown/preserve-root.sh2
-rwxr-xr-xtests/chown/separator.sh4
4 files changed, 6 insertions, 6 deletions
diff --git a/tests/chown/basic.sh b/tests/chown/basic.sh
index d4b2b9b0..e57b9c89 100755
--- a/tests/chown/basic.sh
+++ b/tests/chown/basic.sh
@@ -1,7 +1,7 @@
#!/bin/sh
# make sure chown --from=... works
-# Copyright (C) 2001-2014 Free Software Foundation, Inc.
+# Copyright (C) 2001-2015 Free Software Foundation, Inc.
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
@@ -34,7 +34,7 @@ printf "ownership of 'f' retained as $(id -nu)\n" > exp
compare exp out || fail=1
# Ensure diagnostics work for non existent files.
-chown -v 0 nf > out && fail=1
+returns_ 1 chown -v 0 nf > out || fail=1
printf "failed to change ownership of 'nf' to 0\n" > exp
compare exp out || fail=1
diff --git a/tests/chown/deref.sh b/tests/chown/deref.sh
index e576a9f9..30b4ed9e 100755
--- a/tests/chown/deref.sh
+++ b/tests/chown/deref.sh
@@ -2,7 +2,7 @@
# For coreutils-5.2.1 and earlier, chown --dereference would skip
# symlinks having owner/group matching the specified owner/group.
-# Copyright (C) 2004-2014 Free Software Foundation, Inc.
+# Copyright (C) 2004-2015 Free Software Foundation, Inc.
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
diff --git a/tests/chown/preserve-root.sh b/tests/chown/preserve-root.sh
index 176c7c4f..cbef76a8 100755
--- a/tests/chown/preserve-root.sh
+++ b/tests/chown/preserve-root.sh
@@ -1,7 +1,7 @@
#!/bin/sh
# Verify that --preserve-root works.
-# Copyright (C) 2006-2014 Free Software Foundation, Inc.
+# Copyright (C) 2006-2015 Free Software Foundation, Inc.
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
diff --git a/tests/chown/separator.sh b/tests/chown/separator.sh
index f5ecb5bb..642b0023 100755
--- a/tests/chown/separator.sh
+++ b/tests/chown/separator.sh
@@ -1,7 +1,7 @@
#!/bin/sh
# Make sure "chown USER:GROUP FILE" works, and similar tests with separators.
-# Copyright (C) 2004-2014 Free Software Foundation, Inc.
+# Copyright (C) 2004-2015 Free Software Foundation, Inc.
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
@@ -59,7 +59,7 @@ for u in $id_u "$id_un" ''; do
esac
for sep in $seps; do
case $u$sep$g in
- [0-9]*$sep) chown "$u$sep$g" . 2> /dev/null && fail=1 ;;
+ [0-9]*$sep) returns_ 1 chown "$u$sep$g" . 2>/dev/null || fail=1 ;;
*) chown "$u$sep$g" . || fail=1 ;;
esac
done